/**
 * 
 */
package com.walletkit.sdk.utils;

import java.util.Iterator;
import java.util.Map;

import org.json.JSONArray;
import org.json.JSONObject;

/**
 * WalletKit Utilities
 * 
 * @author WalletKit <support@walletkit.com>
 * @version 1.0
 */
public class WKUtils {

	public static boolean isParamSet(final String param) {
		if (param != null && !param.isEmpty())
			return true;

		return false;
	}

	@SuppressWarnings("rawtypes")
	public static JSONArray getJson(final Map<String, String> keyValuePairs) {
		JSONArray kvArray = null;
		if (keyValuePairs.size() > 0) {
			kvArray = new JSONArray();
			try {
				Iterator it = keyValuePairs.entrySet().iterator();
				while (it.hasNext()) {
					JSONObject jobj = new JSONObject();
					Map.Entry pairs = (Map.Entry) it.next();
					jobj.put("key", (pairs.getKey() != null ? pairs.getKey()
							: "").toString());
					jobj.put(	"value",
								(pairs.getValue() != null ? pairs.getValue()
										: "").toString());
					kvArray.put(jobj);
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return kvArray;
	}
}
